Bug 351301 - nspluginwrapper gets "ERROR: libxpcom.so: cannot open shared object file"
nspluginwrapper gets "ERROR: libxpcom.so: cannot open shared object file"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 16:43 EDT by Michal Jaegermann
Modified: 2007-12-06 07:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 07:21:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-10-24 16:43:18 EDT
Description of problem:

A test run (here on x86_64) of 'mozilla-plugin-config  -g -v -i'
gets the following:

INFO: /usr/lib/nspluginwrapper/npviewer isn't accessible.
INFO: /usr/lib64/nspluginwrapper/npviewer looks ok.
WARNING: I can't search dir /usr/lib/mozilla/plugins-wrapped
INFO: Processing /usr/lib64/mozilla/plugins -> /usr/lib64/mozilla/plugins-wrapped
INFO: Wrapping /usr/lib64/mozilla/plugins/libjavaplugin.so to
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libjavaplugin.so...
*** NSPlugin Viewer  *** ERROR: libxpcom.so: cannot open shared object file:
             ^^^^^^^^^^^^^^^^^^^^^^^^^
No such file or directory
INFO: Linking /usr/lib64/mozilla/plugins/libjavaplugin.so to
/usr/lib64/mozilla/plugins-wrapped/libjavaplugin.so...
WARNING: Failed.   <==!!!!
INFO: Processing /usr/lib/mozilla/plugins -> /usr/lib64/mozilla/plugins-wrapped

This is not so surprising as libxpcom.so is one of firefox libraries
and nothing at the above seems to search for libraries there.

Version-Release number of selected component (if applicable):
nspluginwrapper-0.9.91.5-8.fc8

How reproducible:
always
Comment 1 Martin Stransky 2007-10-29 04:54:27 EDT
libjavaplugin.so is not NPAPI plugin and is not wrapped by nspluginwrapper. But
the error message should not be here.
Comment 2 Martin Stransky 2007-12-06 07:21:27 EST
libjavaplugin.so is linked with xpcom but nspluginwrapper doesn't support it on
Fedora 8 (I don't know about any NPAPI plugin what uses xpcom and runs with the
wrapper). 

But it's not an issue here - libjavaplugin.so is not a NPAPI plugin and can't be
wrapped by nspluginwrapper, even if it's linked with the xpcom.

closing as a NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.